[comment {-*- tcl -*- doctools manpage}]
[manpage_begin bench::out::text n 0.1.2]
[copyright {2007 Andreas Kupries <andreas_kupries@users.sourceforge.net>}]
[moddesc   {Benchmarking/Performance tools}]
[titledesc {bench::out::text - Formatting benchmark results as human readable text}]
[category  {Benchmark tools}]
[require Tcl 8.2]
[require bench::out::text [opt 0.1.2]]
[description]

This package provides commands for fomatting of benchmark results into
human readable text.

[para]

A reader interested in the generation or processing of such results should
go and read [term {bench - Processing benchmark suites}] instead.

[para]

If the bench language itself is the actual interest please start with
the [term {bench language introduction}] and then proceed from there
to the formal [term {bench language specification}].

[para]

[section {PUBLIC API}]

[list_begin definitions]

[call [cmd ::bench::out::text] [arg bench_result]]

This command formats the specified benchmark result for output to a
file, socket, etc. This specific command generates human readable
text.

[para]

For other formatting styles see the packages [package bench] and
[package bench::out::csv] which provide commands to format benchmark
results in raw form, or as importable CSV data, respectively.

[list_end]


[section {BUGS, IDEAS, FEEDBACK}]

This document, and the package it describes, will undoubtedly contain
bugs and other problems.

Please report such in the category [emph bench] of the
[uri {http://sourceforge.net/tracker/?group_id=12883} {Tcllib SF Trackers}].

Please also report any ideas for enhancements you may have for either
package and/or documentation.


[see_also bench]
[see_also bench::out::csv]
[keywords testing performance benchmark formatting text {human readable}]
[manpage_end]
